package com.ibm.swat.password;
/**
 * ReturnCode is a class used for returning values.<br>
 * You have the ability to get either the String representation of the ReturnCode
 * or the int value.  <br>Typically a ReturnCode = = 0 means success
 *
 * @author      Brian Olore
 * @version     3
 */

public class ReturnCode
{
  private int code = 0;
  private String message = new String();

  /**
    * Constructs a ReturnCode with supplied number and message
    *
    * @param i Integer value of ReturnCode
    * @param m String value of the ReturnCode       
    */
  public ReturnCode(int i, String m)
  {
    code = i;
    message = m;
  }

  /**
    * Returns the int value of the ReturnCode,
    * typically 0 is Success
    *
    * @return int value of ReturnCode
    */
  public int getCode()
  { return code;}  

  /**
    * Returns the String value of the ReturnCode 
    *
    * @return String value of ReturnCode
    */
  public String getMessage()
  { return message;}

}


